# std::experimental::packaged_task<R(Args...)>::get_memory_resource

From cppreference.com
< cpp‎ | experimental‎ | lib extensions‎ | packaged task

std::experimental::pmr::memory_resource * get_memory_resource() const noexcept; |  | (library fundamentals TS)

Returns a pointer to the memory resource used by this object to allocate memory.

### Parameters

(none)

### Return value

A pointer to the memory resource used by this object to allocate memory.

### See also

(constructor) | constructs the task object (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/lib_extensions/packaged_task/get_memory_resource&oldid=98623"